#include "../csc321.h"
#include "MyScene.h"

Node::Node() : object(0) {
	trans = Matrix4::identity();
}

Node::~Node() {
	if (object != 0)
		delete object;
}

void Node::multTrans(const Matrix4& m) {
	trans = trans*m;
}

void Node::draw() {
	glPushMatrix();
	glMultMatrixd( &trans(0,0) );

	if (object != 0)
		object->draw();

	glPopMatrix();
}